FilterPrintWriter (Axis API)
Keywords: org.apache.axis.transport.http.FilterPrintWriter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.http
Class FilterPrintWriter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              org.apache.axis.transport.http.FilterPrintWriter

public class FilterPrintWriter
extends java.io.PrintWriter

simple wrapper around PrintWriter class. It creates the PrintWriter object on demand, thus allowing to have a ResponseWriter class for structural reasons, while actually creating the writer on demand. This solves the problem of having to have a PrintWriter object available and being forced to set the contentType of the response object after creation.

Author:
  Davanum Srinivas (dims@yahoo.com)

Nested Class Summary
`static class` | `FilterPrintWriter.NullOutputStream`

Field Summary

Fields inherited from class java.io.PrintWriter
`out`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`FilterPrintWriter(javax.servlet.http.HttpServletResponse aResponse)`

Method Summary
`boolean` | `checkError()`
`void` | `close()`
`void` | `flush()`
`void` | `print(boolean b)`
`void` | `print(char c)`
`void` | `print(char[] chars)`
`void` | `print(double v)`
`void` | `print(float v)`
`void` | `print(int i)`
`void` | `print(long l)`
`void` | `print(java.lang.Object object)`
`void` | `print(java.lang.String string)`
`void` | `println()`
`void` | `println(boolean b)`
`void` | `println(char c)`
`void` | `println(char[] chars)`
`void` | `println(double v)`
`void` | `println(float v)`
`void` | `println(int i)`
`void` | `println(long l)`
`void` | `println(java.lang.Object object)`
`void` | `println(java.lang.String string)`
`void` | `write(char[] chars)`
`void` | `write(char[] chars, int i, int i1)`
`void` | `write(int i)`
`void` | `write(java.lang.String string)`
`void` | `write(java.lang.String string, int i, int i1)`

Methods inherited from class java.io.PrintWriter
`setError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterPrintWriter

    public FilterPrintWriter(javax.servlet.http.HttpServletResponse aResponse)

Method Detail

### write

    public void write(int i)

### write

    public void write(char[] chars)

### write

    public void write(char[] chars,
                      int i,
                      int i1)

### write

    public void write(java.lang.String string)

### write

    public void write(java.lang.String string,
                      int i,
                      int i1)

### flush

    public void flush()

### close

    public void close()

### checkError

    public boolean checkError()

### print

    public void print(boolean b)

### print

    public void print(char c)

### print

    public void print(int i)

### print

    public void print(long l)

### print

    public void print(float v)

### print

    public void print(double v)

### print

    public void print(char[] chars)

### print

    public void print(java.lang.String string)

### print

    public void print(java.lang.Object object)

### println

    public void println()

### println

    public void println(boolean b)

### println

    public void println(char c)

### println

    public void println(int i)

### println

    public void println(long l)

### println

    public void println(float v)

### println

    public void println(double v)

### println

    public void println(char[] chars)

### println

    public void println(java.lang.String string)

### println

    public void println(java.lang.Object object)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.